package whatsapp

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type CreateWhatsappTemplateLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewCreateWhatsappTemplateLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CreateWhatsappTemplateLogic {
	return &CreateWhatsappTemplateLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *CreateWhatsappTemplateLogic) CreateWhatsappTemplate(req *types.CreateTemplateReq) (resp *types.BaseDataInfo, err error) {
	// todo: add your logic here and delete this line

	return
}
